Bug 616954 - Property value entry errors in UI are not always evident
Property value entry errors in UI are not always evident
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
1.4.0.B01
All All
medium Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-07-21 15:55 EDT by Larry O'Leary
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.4 Beta01
Last Closed: 2013-09-03 12:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2010-07-21 15:55:51 EDT
If a property value is invalid, the property page will fail to save the changes and there is not always a clear indication of a failure.  This is especially true when the invalid property value appears on a lower place in the page that is outside of the active view port and in instances where the property appears on a collapsible section of the property page.

This issue is even more hidden in a situation where a resource already in inventory may have one of its property values changed outside of the UI or a plug-in is upgraded that may result in a change of "required" value behavior.  In such situations, the user updating unrelated properties via the UI may receive an error from the UI regarding the hidden/unchanged property value even though the user may have never interacted with such value.

At bare minimum, any property value that is invalid and on a collapsible section should result in the collapsible section being expanded.  Additionally, if any property value is invalid, a warning/error message should appear at the top of the page to give immediate user feedback.  This would reduce the risk that unsaved property changes will be lost when the user navigates away from the property page.


1  Navigate to a JBoss AS Server resource's Inventory -> Connection page
2  Click Edit... button
3  Expand Snapshot Reports section
4  Remove value from Snapshot Config Directory * field
5  Collapse Snapshot Reports section
6  Click OK button


* Notice page is still in Edit Mode
* Notice that no succss or failure indication is shown
* Scroll down the page and notice that everything appears normal
* Notice that at the bottom of the page the OK button is still visible
Comment 1 Corey Welton 2010-09-28 08:25:05 EDT
let's make sure we do this right in gwt
Comment 2 Ian Springer 2011-03-28 17:08:19 EDT
This is handled in GWT/coregui. If there are any validation errors at configuration editor load time, an event is thrown that views can use to display a warning or error in the message bar, which is what is currently done by the resource config editor, conn props editor, and the test config editor. Also, if validation errors are detected within a property group, the collapsible pane for that group is auto-expanded, to make it harder for the user to miss the error icons next to the invalid props.
Comment 3 Sunil Kondkar 2011-06-02 05:43:28 EDT
Verified on build#107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Followed the steps and verified that removing the value from Snapshot Config Directory field displays a red icon and clicking save button displays a message "The following connection settings have invalid values: [Snapshot Config Directory]. The values must be corrected before the settings can be saved."
Aslo verified that the collapsible pane for Snapshot Report section is auto-expanded.

Marking as verified.
Comment 5 Heiko W. Rupp 2013-09-03 12:59:39 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.